""" A plugin definition that has no implementation class. """


# Plugin definition imports.
from enthought.envisage.core.core_plugin_definition \
     import ExtensionPoint, PluginDefinition, Preferences


###############################################################################
# The plugin definition!
###############################################################################

PluginDefinition(
    # The plugin's globally unique identifier.
    id = "no_implementation",

    # This plugin does not specify a plugin implementation class, so it will
    # be created as a default plugin instance.
    class_name = "",

    # General information about the plugin.
    name          = "A plugin definition that has no implementation class",
    version       = "1.0.0",
    provider_name = "Enthought Inc",
    provider_url  = "www.enthought.com",
    enabled       = True,
    autostart     = True,

    # The Id's of the plugins that this plugin requires.
    requires = ["simple"],

    # The extension points offered by this plugin.
    extension_points = [],
    
    # The contributions that this plugin makes to extension points offered by
    # either itself or other plugins.
    extensions = []
)

#### EOF ######################################################################
