""" The action controller for workbench menu and tool bars. """


# Enthought library imports.
from enthought.envisage.workbench import Window
from enthought.pyface.action.api import ActionController
from enthought.traits.api import HasTraits, Instance


class ActionController(ActionController):
    """ The action controller for workbench menu and tool bars.

    The controller is used to 'hook' the invocation of every action on the menu
    and tool bars. This is done so that additional (and Envisage specific)
    information can be added to action events. Currently, we attach a reference
    to the application and the workbench window.

    """

    #### 'ActionController' interface #########################################

    # The workbench window that this is the controller for.
    window = Instance(Window)

    ###########################################################################
    # 'ActionController' interface.
    ###########################################################################

    def perform(self, action, event):
        """ Control an action invocation. """

        # Add a reference to the window and the application to the event.
        event.application = self.window.application
        event.window      = self.window

        return action.perform(event)
    
#### EOF ######################################################################
